//Priority: 100
/**
  
  █▀▄▀█ █▀█ █▄░█ █░█ █▀▄▀█ █▀▀ █▄░█ ▀█▀ ▄▀█ █░░   █▀▀ ▀▄▀ █▀█ █▀▀ █▀█ █ █▀▀ █▄░█ █▀▀ █▀▀
  █░▀░█ █▄█ █░▀█ █▄█ █░▀░█ ██▄ █░▀█ ░█░ █▀█ █▄▄   ██▄ █░█ █▀▀ ██▄ █▀▄ █ ██▄ █░▀█ █▄▄ ██▄

  ☻/  * @file Nature's Aura recipes script
  /▌  * @copyright KnightDexx's Modded Minecraft World | ModernGamingWorld | GeekTechMedia
  /▌  * Mostly made by @Cyn-SolveroftheAbsoluteGremlins on Discord
  /\  

*/
ServerEvents.recipes(event => {
    event.custom({
        "type": "tconstruct:casting_table",
        "cast": {
            "tag": "forge:gears"
        },
        "cast_consumed": true,
        "conditions": [
            {
                "type": "mantle:tag_filled",
                "tag": "forge:gears"
            }
        ],
        "cooling_time": 57,
        "fluid": {
            "amount": 90,
            "tag": "forge:molten_gold"
        },
        "result": "tconstruct:gear_cast",
        "switch_slots": true
    }).id('kubejs:smeltery/casts/gold/gear')

    event.remove({ id: 'tconstruct:smeltery/melting/metal/brass/raw_block' })
    event.remove({ id: 'tconstruct:smeltery/melting/metal/brass/raw' })
    event.remove({ id: 'tconstruct:smeltery/melting/metal/pewter/raw_block' })
    event.remove({ id: 'tconstruct:smeltery/melting/metal/pewter/raw' })
    event.remove({ id: 'tconstruct:smeltery/melting/metal/electrum/raw_block' })
    event.remove({ id: 'tconstruct:smeltery/melting/metal/electrum/raw' })
    event.remove({ id: 'tconstruct:smeltery/melting/metal/steel/raw_block' })
    event.remove({ id: 'tconstruct:smeltery/melting/metal/steel/raw' })
    event.remove({ id: 'tconstruct:smeltery/alloys/molten_nicrosil' })
    event.remove({ id: /tconstruct:smeltery\/melting\/metal\/.*\/ore_sparse/ })
    event.remove({ id: /tconstruct:smeltery\/melting\/metal\/.*\/ore_dense/ })
    event.remove({ id: /^.*chromium.*$/ })
    event.remove({ id: /^.*bendalloy.*$/ })
    event.remove({ id: /^.*cadmium.*$/ })
    event.remove({ id: /^.*nicrosil.*$/ })
    event.remove({ id: /^.*duralumin.*$/ })

})